/*

  Reed Switch Module LM393 (Digital)

  Parts required:
  - Arduino Board
  - Reed Switch Module LM393
  - LED (Any Color)
  - 220 Ohm Resistor
  - Magnet

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int digitalReadPin = 7;
int digitalReadValue;
int ledPin = 8;

void setup() {
  pinMode (digitalReadPin, INPUT);                  // Set digitalReadPin as INPUT
  pinMode (ledPin, OUTPUT);                         // Set ledPin as OUTPUT
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin);   // Read value from digitalReadPin and store in digitalReadValue

  if (digitalReadValue == HIGH) {                   // If digitalReadValue = HIGH Do
    digitalWrite(ledPin, HIGH);
  }
  else {
    digitalWrite(ledPin, LOW);
  }
}
